[jboss-svn-commits] JBL Code SVN: r37964 - in labs/jbosstm/branches/JBOSSTS_4_16: scripts and 1 other directories.

jboss-svn-commits at lists.jboss.org jboss-svn-commits at lists.jboss.org
Thu Mar 29 05:52:26 EDT 2012


Author: zhfeng
Date: 2012-03-29 05:52:25 -0400 (Thu, 29 Mar 2012)
New Revision: 37964

Added:
   labs/jbosstm/branches/JBOSSTS_4_16/scripts/
   labs/jbosstm/branches/JBOSSTS_4_16/scripts/hudson/
   labs/jbosstm/branches/JBOSSTS_4_16/scripts/hudson/narayana.sh
Log:
JBTM-1063 update to add script narayana.sh

Added: labs/jbosstm/branches/JBOSSTS_4_16/scripts/hudson/narayana.sh
===================================================================
--- labs/jbosstm/branches/JBOSSTS_4_16/scripts/hudson/narayana.sh	                        (rev 0)
+++ labs/jbosstm/branches/JBOSSTS_4_16/scripts/hudson/narayana.sh	2012-03-29 09:52:25 UTC (rev 37964)
@@ -0,0 +1,31 @@
+if [ -z "${WORKSPACE}" ]; then
+  echo "UNSET WORKSPACE"
+  exit -1;
+fi
+
+#BUILD JBOSSTS
+ant -Demma.enabled=true -Dpublican=false jbossall
+if [ "$?" != "0" ]; then
+	exit -1
+fi
+
+#RUN QA TESTS
+cd qa
+if [ "$?" != "0" ]; then
+	exit -1
+fi
+
+sed -i TaskImpl.properties -e "s#^COMMAND_LINE_0=.*#COMMAND_LINE_0=${JAVA_HOME}/bin/java#"
+if [ "$?" != "0" ]; then
+	exit -1
+fi
+
+ant -Ddriver.url=file:///home/hudson/dbdrivers get.drivers
+if [ "$?" != "0" ]; then
+	exit -1
+fi
+
+ant -f run-tests.xml ci-tests emmareport
+if [ "$?" != "0" ]; then
+	exit -1
+fi


Property changes on: labs/jbosstm/branches/JBOSSTS_4_16/scripts/hudson/narayana.sh
___________________________________________________________________
Added: svn:executable
   + *



More information about the jboss-svn-commits mailing list